Verify the matched payments
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/verify-matched \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/verify-matched', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/verify-matched"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"verified_count": 123,
"reconciliation": {
"id": "<string>",
"label": "<string>",
"status": "open",
"line_count": 123,
"matched_count": 123,
"unmatched_count": 123,
"ignored_count": 123,
"verifiable_count": 123,
"matched_cents": 123,
"unmatched_cents": 123,
"gateway": "stripe",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Reconciliations
Verify the matched payments
Verifies, in one step, the payment on every matched line of the import that is not verified or voided yet, as the person who made the key. From then on they count as paid. This is the only way an import verifies anything. Send no body. Needs write on Animals.
POST
/
api
/
animals
/
reconciliations
/
{id}
/
verify-matched
Verify the matched payments
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/verify-matched \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/verify-matched', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/verify-matched"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"verified_count": 123,
"reconciliation": {
"id": "<string>",
"label": "<string>",
"status": "open",
"line_count": 123,
"matched_count": 123,
"unmatched_count": 123,
"ignored_count": 123,
"verifiable_count": 123,
"matched_cents": 123,
"unmatched_cents": 123,
"gateway": "stripe",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Path Parameters
The import's ID.